summaryrefslogtreecommitdiffstats
path: root/source/l/python-pillow
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/python-pillow')
-rwxr-xr-xsource/l/python-pillow/python-pillow.SlackBuild50
-rw-r--r--source/l/python-pillow/slack-desc10
2 files changed, 30 insertions, 30 deletions
diff --git a/source/l/python-pillow/python-pillow.SlackBuild b/source/l/python-pillow/python-pillow.SlackBuild
index e66ed8493..dbd8ae1d0 100755
--- a/source/l/python-pillow/python-pillow.SlackBuild
+++ b/source/l/python-pillow/python-pillow.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2009, 2010, 2013, 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2013, 2014, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2014 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
@@ -21,11 +21,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-pillow
VERSION=${VERSION:-$(echo Pillow-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-SANE_VERSION=${SANE_VERSION:-$(echo Sane-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,6 +37,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "${ARCH}" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -51,7 +59,9 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-CWD=$(pwd)
+PYTHONINC=$( python -c 'from distutils.sysconfig import get_python_inc; print(get_python_inc())' )
+PYTHON3INC=$( python3 -c 'from distutils.sysconfig import get_python_inc; print(get_python_inc())' )
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -71,33 +81,23 @@ find . \
python setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/Sane
-cp -a \
- *.md *.rst docs/BUILDME docs/COPYING \
- $PKG/usr/doc/$PKGNAM-$VERSION
+# install headers
+mkdir -p ${PKG}$PYTHONINC/Imaging
+install -m 644 src/libImaging/*.h ${PKG}$PYTHONINC/Imaging
-cd $TMP
-rm -rf Sane-$SANE_VERSION
-tar xvf $CWD/Sane-$SANE_VERSION.tar.*z* || exit 1
-cd Sane-$SANE_VERSION
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+python3 setup.py install --root=$PKG || exit 1
-# Don't require Pillow to be installed before building Sane
-sed -i "s|os.path.join|'$TMP/Pillow-$VERSION/libImaging', &|" setup.py
-
-python setup.py install --root=$PKG || exit 1
+# install headers
+mkdir -p ${PKG}$PYTHON3INC/Imaging
+install -m 644 src/libImaging/*.h ${PKG}$PYTHON3INC/Imaging
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- *.md *.rst COPYING \
- $PKG/usr/doc/$PKGNAM-$VERSION/Sane
+ *.md *.rst docs/BUILDME docs/COPYING \
+ $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/l/python-pillow/slack-desc b/source/l/python-pillow/slack-desc
index d9ac65681..f8fffcd8d 100644
--- a/source/l/python-pillow/slack-desc
+++ b/source/l/python-pillow/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
python-pillow: python-pillow (Python Imaging Library)
python-pillow:
python-pillow: The Python Imaging Library (PIL) adds image processing capabilities
-python-pillow: to your Python environment. This library provides extensive file
+python-pillow: to your Python environment. This library provides extensive file
python-pillow: format support, an efficient internal representation, and powerful
python-pillow: image processing capabilities.
python-pillow:
python-pillow: PIL is used by the scanning component of HPLIP.
python-pillow:
-python-pillow: PIL homepage: https://python-pillow.github.io/
+python-pillow: PIL homepage: https://python-pillow.github.io/
python-pillow: